/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Thomas Fahrni
   co-programmer:
*/
#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_AI
#include "swarm_wait.h"


void SwarmWait::process(float dt)
{
	if(taskRelObjectName!=""){
          WorldEntity* taskRelObject = dynamic_cast<WorldEntity*>(WorldEntity::objectList().getBaseObject( taskRelObjectName ));
          Vector distVect=taskRelObject->getAbsCoor()-getSwarmPosition();
          float distance=distVect.len();
          if(distance<attackDistance+100)taskComplete=true;		//### change wakeup distance here
	}

	taskMaxTime-=dt;
	if(taskMaxTime<=0)taskComplete=true;
}
